<template>
  <el-tabs v-model="tabActiveName" @tab-click="handleTabClick" style="margin-bottom:10px">
    <el-tab-pane label="化验指标统计" name="analysis"></el-tab-pane>
    <el-tab-pane label="透析过程指标统计" name="process"></el-tab-pane>
    <el-tab-pane label="透析监测指标统计" name="monitor"></el-tab-pane>
    <el-tab-pane label="患者血压统计" name="bloodPressure"></el-tab-pane>
    <el-tab-pane label="患者体重统计" name="weight"></el-tab-pane>
  </el-tabs>
</template>
<script>
export default {
  props: {
    activeName: {
      type: String,
      default: "analysis"
    }
  },
  data() {
    return {
      tabActiveName: "analysis"
    };
  },
  methods: {
    handleTabClick(tab, event) {
      this.$router.push({
        path: "/qcd/indicatorControlAnalysis/" + this.tabActiveName
      });
    }
  },
  created() {
    this.tabActiveName = this.activeName;
  }
};
</script>

